#Global
effect give @a minecraft:night_vision infinite 1 true
effect give @a minecraft:saturation infinite 1 true
execute positioned -124 29 -336 run effect give @a[distance=..3] minecraft:fire_resistance 1 1 true
kill @e[type=item,nbt={Item:{id:"minecraft:iron_bars",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:sandstone_slab",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:smooth_quartz_slab",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:spruce_slab",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:spruce_stairs",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:spruce_planks",Count:1b}}]
execute as @a at @s if block ~ ~-0.1 ~ minecraft:emerald_block run effect give @s minecraft:jump_boost 1 4 true
execute as @a at @s unless block ~ ~-0.1 ~ minecraft:emerald_block run effect clear @s minecraft:jump_boost
execute as @a at @s if block ~ ~-0.1 ~ minecraft:diamond_block run effect give @s minecraft:speed 1 2 true
data merge entity @e[type=minecraft:armor_stand,distance=..10,tag=Tree,limit=1,sort=random] {Invulnerable:1b}

#Scoreboard
scoreboard players remove dummy TitleTimer 1
execute if score dummy TitleTimer matches ..0 run scoreboard players set dummy TitleTimer 90
execute if score dummy TitleTimer matches 21 run scoreboard objectives modify Parkour displayname [{"bold":true,"text":"Parkour ","color":"white"},{"text":"Wonderland","color":"light_purple"}]
execute if score dummy TitleTimer matches 51 run scoreboard objectives modify Parkour displayname [{"bold":true,"text":"Parkour ","color":"light_purple"},{"text":"Wonderland","color":"red"}]
execute if score dummy TitleTimer matches 81 run scoreboard objectives modify Parkour displayname [{"bold":true,"text":"Parkour ","color":"red"},{"text":"Wonderland","color":"white"}]
scoreboard objectives modify Parkour numberformat styled {"color":"gold"}

scoreboard players add dummy HiddenTimer 1
execute if score dummy HiddenTimer matches 21.. run scoreboard players set dummy HiddenTimer 0
execute as @p[tag=lvl1] if score dummy HiddenTimer matches 20 run scoreboard players add @e[type=rabbit,sort=furthest,limit=1] Parkour 1
scoreboard objectives modify Parkour displayautoupdate false
scoreboard players display name @e[type=rabbit,sort=furthest,limit=1] Parkour {"text":"Time: ","color":"gold"}
scoreboard players display name @e[type=rabbit,sort=nearest,limit=1] Parkour {"text":"Level: ","color":"gold"}

execute as @a[tag=lvl1,tag=!lvl2] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 1
execute as @a[tag=lvl2,tag=!lvl3] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 2
execute as @a[tag=lvl3,tag=!lvl4] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 3
execute as @a[tag=lvl4,tag=!lvl5] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 4
execute as @a[tag=lvl5,tag=!lvl6] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 5
execute as @a[tag=lvl6,tag=!lvl7] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 6
execute as @a[tag=lvl7,tag=!lvl8] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 7
execute as @a[tag=lvl8,tag=!lvl9] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 8
execute as @a[tag=lvl9,tag=!lvl10] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 9
execute as @a[tag=lvl10,tag=!lvl11] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 10
execute as @a[tag=lvl11,tag=!lvl12] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 11
execute as @a[tag=lvl12,tag=!lvl13] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 12
execute as @a[tag=lvl13,tag=!lvl14] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 13
execute as @a[tag=lvl14,tag=!lvl15] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 14
execute as @a[tag=lvl15,tag=!lvl16] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 15
execute as @a[tag=lvl16,tag=!lvl17] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 16
execute as @a[tag=lvl17,tag=!lvl18] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 17
execute as @a[tag=lvl18,tag=!lvl19] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 18
execute as @a[tag=lvl19,tag=!lvl20] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 19
execute as @a[tag=lvl20,tag=!lvl21] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 20
execute as @a[tag=lvl21,tag=!lvl22] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 21
execute as @a[tag=lvl22,tag=!lvl23] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 22
execute as @a[tag=lvl23,tag=!lvl24] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 23
execute as @a[tag=lvl24,tag=!lvl25] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 24
execute as @a[tag=lvl25,tag=!lvl26] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 25
execute as @a[tag=lvl26,tag=!lvl27] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 26
execute as @a[tag=lvl27,tag=!lvl28] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 27
execute as @a[tag=lvl28,tag=!lvl29] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 28
execute as @a[tag=lvl29,tag=!lvl30] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 29
execute as @a[tag=lvl30,tag=!lvl31] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 30
execute as @a[tag=lvl31,tag=!lvl32] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 31
execute as @a[tag=lvl32,tag=!lvl33] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 32
execute as @a[tag=lvl33,tag=!lvl34] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 33
execute as @a[tag=lvl34,tag=!lvl35] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 34
execute as @a[tag=lvl35,tag=!lvl36] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 35
execute as @a[tag=lvl36,tag=!lvl37] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 36
execute as @a[tag=lvl37,tag=!lvl38] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 37
execute as @a[tag=lvl38,tag=!lvl39] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 38
execute as @a[tag=lvl39,tag=!lvl40] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 39
execute as @a[tag=lvl40,tag=!lvl41] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 40
execute as @a[tag=lvl41,tag=!lvl42] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 41
execute as @a[tag=lvl42,tag=!lvl43] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 42
execute as @a[tag=lvl43,tag=!lvl44] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 43
execute as @a[tag=lvl44,tag=!lvl45] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 44
execute as @a[tag=lvl45,tag=!lvl46] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 45
execute as @a[tag=lvl46,tag=!lvl47] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 46
execute as @a[tag=lvl47,tag=!lvl48] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 47
execute as @a[tag=lvl48,tag=!lvl49] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 48
execute as @a[tag=lvl49,tag=!lvl50] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 49
execute as @a[tag=lvl50,tag=!end] run scoreboard players set @e[type=rabbit,sort=nearest,limit=1] Parkour 50

#spawn
execute as @a[team=!Snow] run tp @s -158.5 4.00 -305.5 -360 1
execute as @a[team=!Snow] run gamemode adventure @s
execute as @a[team=!Snow] run team join Snow @s

execute if block -166 5 -299 minecraft:stone_button[powered=true] run title @a clear
execute if block -166 5 -299 minecraft:stone_button[powered=true] run title @a title {"text":"Parkour Wonderland","color":"light_purple"}
execute if block -166 5 -299 minecraft:stone_button[powered=true] run tp @a -194.5 54 -257.5 180 0
execute if block -166 5 -299 minecraft:stone_button[powered=true] run tag @a add lvl1

#lvl 1
execute as @e[type=interaction,tag=lvl1] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl1] if data entity @s interaction run execute as @a[tag=lvl1,nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run fill -194 63 -269 -196 63 -269 air destroy
execute as @e[type=interaction,tag=lvl1] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run clear @a red_shulker_box
execute as @e[type=interaction,tag=lvl1] run data remove entity @s interaction

#lvl 2
execute as @a at @s if block ~ ~-1 ~ minecraft:chiseled_quartz_block run effect give @s minecraft:levitation 2 3 true
execute as @a at @s if block ~ ~-1 ~ minecraft:chiseled_quartz_block run clone -199 28 -268 -197 33 -267 -196 55 -271
execute as @a at @s if block ~ ~-7 ~ minecraft:chiseled_quartz_block run fill -194 56 -270 -196 60 -271 air
execute as @a at @s if block ~ ~-7 ~ minecraft:quartz_stairs run fill -194 56 -270 -196 60 -271 air
execute positioned -195 63 -270 as @a[distance=..1.2] run tag @s add lvl2

#lvl 3
execute positioned -195 57 -283 as @a[distance=..2.5] run tag @s add lvl3
execute as @e[type=interaction,tag=lvl3] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[tag=quicksand] at @s run effect give @a[distance=..1.5] minecraft:slow_falling 1 2 true
execute as @e[tag=quicksand] run data merge entity @s {Time:100}
execute positioned -193.76 49.24 -286.55 as @a[distance=..10] at @s if block ~ ~ ~ minecraft:structure_void run effect clear @s minecraft:slow_falling
execute as @e[type=interaction,tag=lvl3] if data entity @s interaction run execute as @a[tag=lvl3,nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run fill -194 54 -288 -196 54 -286 air destroy
execute as @e[type=interaction,tag=lvl3] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run clear @a red_shulker_box
execute as @e[type=interaction,tag=lvl3] run data remove entity @s interaction

#lvl 4
execute positioned -195 44 -302 as @a[distance=..1.5] run tag @s add lvl4

#lvl 5
execute positioned -195 61 -306 as @a[distance=..1.5] run tag @s add lvl5

#lvl 6
execute positioned -195 61 -318 as @a[distance=..1.5] run tag @s add lvl6

#lvl 7
execute positioned -195 65 -329 as @a[distance=..1.5] run tag @s add lvl7

#lvl 8
execute as @a[tag=lvl8,tag=!lvl9] run effect give @s minecraft:regeneration 1 5 true
execute positioned -188 45 -334 as @a[distance=..1.5] run tag @s add lvl8
execute as @e[type=interaction,tag=lvl8] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl8] if data entity @s interaction run execute as @a[tag=lvl8,nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run fill -177 56 -334 -177 56 -336 air destroy
execute as @e[type=interaction,tag=lvl8] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run clear @a white_shulker_box

#lvl 9
execute positioned -176 56 -335 as @a[distance=..1.5] run tag @s add lvl9

#lvl 10
execute positioned -164 63 -335 as @a[distance=..1.5] run tag @s add lvl10

#lvl 11
execute positioned -152 63 -335 as @a[distance=..1.5] run tag @s add lvl11

#lvl 12
execute positioned -140 62 -335 as @a[distance=..1.5] run tag @s add lvl12
execute as @e[type=interaction,tag=lvl12] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl12] if data entity @s interaction run execute as @a[tag=lvl12,tag=!lvl13,nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run fill -129 64 -334 -129 64 -336 air destroy
execute as @e[type=interaction,tag=lvl12] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run clear @a white_shulker_box

#lvl 13
execute positioned -128 64 -335 as @a[distance=..1.5] run tag @s add lvl13
execute positioned -126 30 -338 if block -126 30 -338 lever[powered=false] run particle minecraft:crit ~ ~ ~ 0.1 0.2 0.1 0 1 force
execute positioned -126 30 -338 if block -126 30 -338 lever[powered=true] run particle minecraft:happy_villager ~ ~ ~ 0.1 0.2 0.1 0 1 force
execute if block -126 30 -338 lever[powered=true] run fill -122 63 -329 -124 63 -329 air destroy

#lvl 14
execute positioned -123 63 -328 as @a[distance=..1.2] run tag @s add lvl14

#lvl 15
execute positioned -123 61 -316 as @a[distance=..1.5] run tag @s add lvl15

#lvl 16
execute positioned -123 64 -304 as @a[distance=..1.5] run tag @s add lvl16

#lvl 17
execute positioned -123 63 -292 as @a[distance=..1.5] run tag @s add lvl17

#lvl 18
execute positioned -123 62 -280 as @a[distance=..1.5] run tag @s add lvl18

#lvl 19
execute positioned -123 62 -268 as @a[distance=..1.5] run tag @s add lvl19

#lvl 20
execute positioned -130 61 -263 as @a[distance=..1.5] run tag @s add lvl20

#lvl 21
execute positioned -142 61 -263 as @a[distance=..1.5] run tag @s add lvl21

#lvl 22
execute positioned -154 62 -263 as @a[distance=..1.5] run tag @s add lvl22

#lvl 23
execute positioned -166 62 -263 as @a[distance=..1.5] run tag @s add lvl23

#lvl 24
execute positioned -178 60 -263 as @a[distance=..1.5] run tag @s add lvl24

#lvl 25
execute positioned -183 62 -270 as @a[distance=..1.5] run tag @s add lvl25
execute as @e[type=interaction,tag=lvl25] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute if block -185 58 -278 minecraft:warped_pressure_plate[powered=true] run fill -186 63 -278 -185 63 -277 air destroy
execute as @e[type=interaction,tag=lvl25] if data entity @s interaction run execute as @a[tag=lvl25,nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run fill -184 56 -281 -182 54 -281 air replace minecraft:iron_bars
execute as @e[type=interaction,tag=lvl25] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run clear @a red_shulker_box

#lvl 26
execute positioned -183 55 -282 as @a[distance=..1.5] run tag @s add lvl26

#lvl 27
execute positioned -183 64 -294 as @a[distance=..1.5] run tag @s add lvl27

#lvl 28
execute positioned -183 61 -307 as @a[distance=..2.5] run tag @s add lvl28

#lvl 29
execute positioned -183 66 -318 as @a[distance=..1.5] run tag @s add lvl29

#lvl 30
execute positioned -176 65 -323 as @a[distance=..1.5] run tag @s add lvl30

#lvl 31
execute positioned -164 64 -323 as @a[distance=..1.5] run tag @s add lvl31

#lvl 32
execute positioned -152 64 -323 as @a[distance=..1.5] run tag @s add lvl32
execute as @e[type=interaction,tag=lvl32] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl32] if data entity @s interaction run execute as @a[tag=lvl32,nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run fill -141 65 -322 -141 65 -324 air destroy
execute as @e[type=interaction,tag=lvl32] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run clear @a white_shulker_box

#lvl 33
execute positioned -140 65 -323 as @a[distance=..1.2] run tag @s add lvl33

#lvl 34
execute positioned -135 60 -315 as @a[distance=..2] run tag @s add lvl34

#lvl 35
execute positioned -135 60 -314 as @a[distance=..1.5] run tag @s add lvl35
execute if block -140 66 -311 minecraft:stone_button[powered=true] run fill -136 58 -311 -134 58 -309 air destroy

#lvl 36
execute positioned -135 62 -292 as @a[distance=..1.5] run tag @s add lvl36

#lvl 37
execute positioned -135 60 -280 as @a[distance=..1.5] run tag @s add lvl37

#lvl 38
execute positioned -142 67 -275 as @a[distance=..1.5] run tag @s add lvl38
execute if block -150 52 -278 minecraft:warped_button[powered=true] run fill -146 54 -271 -148 54 -274 air destroy
execute if block -150 52 -278 minecraft:warped_button[powered=true] run fill -146 54 -279 -148 54 -276 air destroy

#lvl 39
execute positioned -154 62 -275 as @a[distance=..1.5] run tag @s add lvl39
execute as @e[type=interaction,tag=lvl39] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl39] if data entity @s interaction run execute as @a[tag=lvl39,nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run fill -165 60 -276 -165 60 -274 air destroy
execute as @e[type=interaction,tag=lvl39] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:red_shulker_box",Count:1b}}] run clear @a red_shulker_box

#lvl 40
execute positioned -166 60 -275 as @a[distance=..1.2] run tag @s add lvl40

#lvl 41
execute positioned -171 66 -282 as @a[distance=..1.5] run tag @s add lvl41

#lvl 42
execute positioned -171 55 -299 as @a[distance=..1.5] run tag @s add lvl42

#lvl 43
execute positioned -171 67 -306 as @a[distance=..1.5] run tag @s add lvl43
execute if block -166 66 -313 spruce_pressure_plate[powered=true] run fill -166 58 -312 -166 57 -311 air destroy

#lvl 44
execute positioned -164 55 -311 as @a[distance=..1.5] run tag @s add lvl44

#lvl 45
execute positioned -152 67 -308 as @a[distance=..1.5] run tag @s add lvl45

#lvl 46
execute positioned -147 67 -304 as @a[distance=..1.5] run tag @s add lvl46

#lvl 47
execute positioned -147 68 -292 as @a[distance=..1.5] run tag @s add lvl47

#lvl 48
execute positioned -154 66 -287 as @a[distance=..1.5] run tag @s add lvl48
execute as @e[type=interaction,tag=lvl48] at @s if data entity @s interaction run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run particle minecraft:heart ~ ~0.5 ~ 0.3 0.3 0.3 0 10 force
execute as @e[type=interaction,tag=lvl48] if data entity @s interaction run execute as @a[tag=lvl48,nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run fill -158 68 -293 -160 68 -293 air destroy
execute as @e[type=interaction,tag=lvl48] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:white_shulker_box",Count:1b}}] run clear @a white_shulker_box

#lvl 49
execute positioned -159 68 -294 as @a[distance=..1.2] run tag @s add lvl49

#lvl 50
execute positioned -160 75 -296 as @a[distance=..1] run tag @s add lvl50

#end
execute as @e[type=interaction,tag=end] if data entity @s interaction run execute as @a[tag=lvl50,nbt={SelectedItem:{id:"minecraft:green_shulker_box",Count:1b}}] run tag @a add end
execute as @e[type=interaction,tag=end] if data entity @s interaction run execute on target run execute as @a[nbt={SelectedItem:{id:"minecraft:green_shulker_box",Count:1b}}] run clear @a green_shulker_box
execute as @a[tag=end] run tp @s -159 12 -299 ~ 0
execute as @a[tag=end] run tag @s remove lvl1
execute as @a[tag=end] run setblock -159 11 -294 minecraft:redstone_block

#pres
execute as @e[type=interaction,tag=pres] run data remove entity @s interaction

#reset
execute as @a if score @s reset matches 1 run function psa:reset
execute as @a if score @s reset matches 1 run scoreboard players reset @a reset
scoreboard players enable @a reset
